Bug 152401 - CVE-2005-0400 ext2 mkdir() directory entry random kernel memory leak
Summary: CVE-2005-0400 ext2 mkdir() directory entry random kernel memory leak
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: source=vendorsec,public=20050321,repo...
Keywords: Security
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-03-29 10:05 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-02-01 17:54:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0191 normal SHIPPED_LIVE Important: kernel security update 2006-02-01 05:00:00 UTC

Description Mark J. Cox 2005-03-29 10:05:58 UTC
A flaw was discovered in ext2 filesystem support affecting 2.4 and 2.6 kernels.
 When a new directory is created, the ext2 block written to disk is initialized,
leading to an information leak.

The following script can easily show the problem on Linux 2.4 and 2.6:

#!/bin/sh
FILE=foo
dd if=/dev/zero of=$FILE bs=1k count=8192
mke2fs -F -b 1024 -m0 $FILE
mount -o loop $FILE mnt
for D in `seq 500` ; do mkdir mnt/$D ; done
umount mnt

Using 'strings foo' will reveal the information leak in the file.

Patch committed upstream, see

        fixed=2.6-bk (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bfc9vHVlT4nv2o4ys4_sf6vzKA
        fixed=2.4-bk (20050325 
http://linux.bkbits.net:8080/linux-2.4/cset@424473284plfEOB185qmyHPQyNPq4Q

Comment 1 Mark J. Cox 2005-03-29 10:10:31 UTC
("is not initialized")

Comment 5 Red Hat Bugzilla 2006-02-01 17:54:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html



Note You need to log in before you can comment on or make changes to this bug.